Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 22 Mar 2023 09:24:16 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have been charged twice by Splash for an order. Splash order number 9420846147 should be marked for refund and Tabby will initiate the same back to my account. Kindly do this urgently. I have spoken to Splash customer care and apparently a ticket was raised but I was not contacted. Please assist. Your order number is 9420877791 - this is the order that was delivered to me accurately. Your delivery guy on the first day marked it cancelled and said refund will be done but on the second day another delivery guy called me and I told him the same. Please treat this with importance. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5907982